Skip to main content
Get User Flex Investments
These endpoints are available only for B2B partner services. Fill the form at https://whitebit.com/institutional-services/b2b to request access.

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
request
string
required

Request signature

Example:

"{{request}}"

nonce
integer
required

Unique request identifier

Example:

1594297865000

limit
integer
default:100

Pagination limit. Default: 100.

Example:

100

offset
integer
default:0

Pagination offset. Default: 0.

Example:

0

ticker
string

Filter by currency ticker. Example: USDT.

Example:

"USDT"

plan
string

Filter by plan ID (UUID).

Example:

"8f2e9d3c-1a4b-4c2d-9e5f-6a7b8c9d0e1f"

investment
string

Filter by investment ID.

Example:

"inv_7e2d9c3b-1a4b-4c2d-9e5f-6a7b8c9d0e1f"

investmentStatus
enum<integer>

Filter by status (1=ACTIVE, 0=CLOSED).

Available options:
0,
1
Example:

1

Response

Successful response

data
object[]
limit
integer
offset
integer